# frozen_string_literal: true

class CreateUxToolkitTrackerNotices < ActiveRecord::Migration[6.1]
  def change
    create_table :ux_toolkit_tracker_notices do |t|
      t.integer :tracker_id, null: false
      t.text :new_issue_notice_text
      t.timestamps
    end

    add_index :ux_toolkit_tracker_notices,
              :tracker_id,
              unique: true,
              name: 'index_ux_toolkit_tracker_notices_on_tracker_id'
  end
end
